#include "configdialog.h"
#include "ui_configdialog.h"

#include <khtml_part.h>
#include <QProcess>

ConfigDialog::ConfigDialog(QWidget *parent, KHTMLPart *part, QString username, QString password) :
    QDialog(parent),
    m_part( part ),
    ui(new Ui::ConfigDialog)
{
    ui->setupUi(this);
	ui->usernameLineEdit->setText(username);
	ui->passwordLineEdit->setText(password);
}

ConfigDialog::~ConfigDialog()
{
    delete ui;
}

void ConfigDialog::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void ConfigDialog::on_confirmButton_clicked()
{
	emit accountData(ui->usernameLineEdit->text(), ui->passwordLineEdit->text());
	this->close();
}

void ConfigDialog::on_registerLabel_leftClickedUrl()
{
	QProcess::startDetached("kde-open " + ui->registerLabel->url());
	this->close();
}

