/*
  Copyright (c) 2010 Giuseppe Calà <jiveaxe@gmail.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef KONQ_READITLATER_H
#define KONQ_READITLATER_H

#include <qpointer.h>
#include <kparts/plugin.h>
#include <KIO/Job>
#include <KConfig>


class KHTMLPart;
class KActionMenu;

namespace KParts
{
}

class Plugin_ReadItLater : public KParts::Plugin
{
    Q_OBJECT

public:
    Plugin_ReadItLater(QObject* parent = 0, const QVariantList &args = QVariantList());
    ~Plugin_ReadItLater();

private:
    QPointer<KHTMLPart> m_part;

private slots:
	void slotSendToInstapaper();
	void slotSendAllToInstapaper();
	void slotGoToInstapaper();
	void slotConfigureInstapaper();
	void savePage( KJob* job );
	void editAccount(const QString&, const QString&);

private:
	KConfig *m_cfg;
	KJob *m_shortenJob;
	QString m_username;
	QString m_password;
	void startJob(const KUrl url, const QString title);
};

#endif 
